<?php 
require_once("../includes/bootstrap2.php");
$sesion=new sesion(); // inicio la sesion

$academia = bootstrap::initBd($sesion->get('anio'));

$nom_grupo=$sesion->getVar("configuracion.nombres_grupos");

$sql="SELECT
    aca_grupos.cod_grupo AS codigo
    , adm_sedes.nom_sede AS sede
    , aux_jornadas.nom_jornada AS jornada
    , aux_grados.orden AS orden
    , aux_grados.nom_grado AS grado 
    , aux_nombres_grupos.$nom_grupo AS grupo
    , COUNT(aca_estudiantesxgrupos.cod_estudiante) AS numero
	FROM
    aca_grupos INNER JOIN aux_grados 
        ON (aca_grupos.cod_grado = aux_grados.cod_grado)
    INNER JOIN aux_jornadas 
        ON (aca_grupos.cod_jornada = aux_jornadas.cod_jornada)
    INNER JOIN adm_sedes 
        ON (aca_grupos.cod_sede = adm_sedes.cod_sede)
    INNER JOIN aux_nombres_grupos 
        ON (aca_grupos.cod_nom_grupo = aux_nombres_grupos.cod_nom_grupo)
    INNER JOIN aca_estudiantesxgrupos 
        ON (aca_estudiantesxgrupos.cod_grupo = aca_grupos.cod_grupo)
	GROUP BY aca_grupos.cod_grupo ORDER BY adm_sedes.cod_sede, orden ASC, aca_grupos.cod_jornada ASC, aux_grados.orden ASC, aux_nombres_grupos.nom_grupo_let ASC";

	$academia->instruccion($sql);
	$responce->page = 1;
	$responce->total = 1;
	$responce->records = $academia->num_rows();
	$i=0;
	while($row = $academia->extraer_registro()) {
		$responce->rows[$i]['id']=$row['codigo'];
		$responce->rows[$i]['cell']= array($row['sede'],$row['jornada'],$row['grado'],$row['grupo'],$row['numero']);
		$i++;
	} 
	
	header("Content-type:application/json");
//	$responce["sql"]=$sql;
	echo json_encode($responce);
	$academia->cerrar();
?>